import type OpenSeadragon from 'openseadragon';
import type { Annotator } from '@annotorious/core';
import type { AnnotoriousOpts, ImageAnnotation } from '@annotorious/annotorious/src';
import { type FitboundsOptions } from './api';
export interface OpenSeadragonAnnotator<E extends unknown = ImageAnnotation> extends Annotator<ImageAnnotation, E> {
    viewer: OpenSeadragon.Viewer;
    fitBounds(arg: {
        id: string;
    } | string, opts?: FitboundsOptions): void;
    fitBoundsWithConstraints(arg: {
        id: string;
    } | string, opts?: FitboundsOptions): void;
    listTools(): string[];
    startDrawing(tool: string, keepEnabled?: boolean): void;
    stopDrawing(): void;
}
export declare const createOSDAnnotator: <E extends unknown = ImageAnnotation>(viewer: OpenSeadragon.Viewer, options?: AnnotoriousOpts<ImageAnnotation, E>) => OpenSeadragonAnnotator<E>;
//# sourceMappingURL=Annotorious.d.ts.map