import type { SvelteComponent } from 'svelte';
import type { Annotator } from '@annotorious/core';
import { type DrawingTool } from './annotation/tools';
import type { ImageAnnotation, ShapeType } from './model';
import type { AnnotoriousOpts } from './AnnotoriousOpts';
export interface ImageAnnotator<E extends unknown = ImageAnnotation> extends Annotator<ImageAnnotation, E> {
    registerDrawingTool(name: string, tool: typeof SvelteComponent): void;
    registerShapeEditor(shapeType: ShapeType, editor: typeof SvelteComponent): void;
    setDrawingTool(tool: DrawingTool): void;
}
export declare const createImageAnnotator: <E extends unknown = ImageAnnotation>(image: string | HTMLImageElement | HTMLCanvasElement, options?: AnnotoriousOpts<ImageAnnotation, E>) => ImageAnnotator<E>;
//# sourceMappingURL=Annotorious.d.ts.map